Skip to main content
GET
/
public
/
v1
/
ads
/
campaigns
List ad campaigns
curl --request GET \
  --url http://app.stairoids.com/api/public/v1/ads/campaigns \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 620123456,
    "name": "Q2 Demand Gen",
    "status": "ACTIVE",
    "type": "SPONSORED_UPDATES",
    "objectiveType": "LEAD_GENERATION",
    "servingStatus": "RUNNABLE",
    "startsAt": 1717200000000
  }
]

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Response

OK

id
integer<int64>

Campaign id.

Example:

620123456

name
string

Campaign name.

Example:

"Q2 Demand Gen"

status
string

Campaign status.

Example:

"ACTIVE"

type
string

Campaign type.

Example:

"SPONSORED_UPDATES"

objectiveType
string

Objective type.

Example:

"LEAD_GENERATION"

servingStatus
string

Serving status.

Example:

"RUNNABLE"

startsAt
integer<int64>

Start time, epoch millis.

Example:

1717200000000